BimpДовідка

Інші витрати: методи API Bimp

Методи API Bimp для ресурсу «Інші витрати» (/org2/otherExpenses/…): 4 методи. Базова адреса: https://app.bimpsoft.com. Усі запити, крім входу, передають токен компанії в заголовку access-token — див. Початок роботи з API.

МетодЩо робить
POST /org2/otherExpenses/api-readA request to obtain detailed information for a particular other expenses document
POST /org2/otherExpenses/api-readListA request to view a list of other expenses documents
POST /org2/otherExpenses/api-createA request to create an other expenses document
POST /org2/otherExpenses/api-updateA request to update or add information to an existing other expenses document

api-read

POST /org2/otherExpenses/api-read

A request to obtain detailed information for a particular other expenses document

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)так

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstringThe document’s number. Use this field if you need to specify a custom number
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
commentstringAn optional text field for any additional notes or comments related to the document
mutualSettlementTypestring (uuid)Mutual settlement type
documentSumnumberDocument sum
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
atCostPricebooleanFlag set when the user pressed the ‘At cost price’ button (sell price = cost price for all items)
documentNamestringDocument name
sumnumberTotal sum
expenseItemstring (uuid)A unique identifier for the Expense Item, obtainable from the /expenseItems/api-readList request
paymentEntitystring (uuid)The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
counterpartystring (uuid)A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request
lineItemInTablebooleanFlag set when the user pressed the ‘Item in the table section’ button (item set per product line)
paymentDetailsobject[]
paymentDetails[].sumnumberThe sum for the expense item
paymentDetails[].projectstring (uuid)A unique identifier for the Project, obtainable from the /project/api-readList request
paymentDetails[].lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
paymentDetails[].expenseItemstring (uuid)A unique identifier for the Expense Item, obtainable from the /expenseItems/api-readList request
paymentDetails[].invoiceForCustomerPaymentstring (uuid)A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request
paymentDetails[].commentstringAn optional text field for any additional notes or comments related to the document
curl -X POST 'https://app.bimpsoft.com/org2/otherExpenses/api-read' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-readList

POST /org2/otherExpenses/api-readList

A request to view a list of other expenses documents

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
paginationobjectтакPagination settings
pagination.offsetnumberтакPagination offset
pagination.countnumberтакPage size (row count)
filtersobjectFilters for other expenses list
filters.commentstringAn optional text field for any additional notes or comments related to the document
filters.expenseItemsstring (uuid)[]A unique identifier for the Expense Item, obtainable from the /expenseItems/api-readList request
filters.organizationstring (uuid)[]A unique identifier for the Organization, obtainable from the /organization/api-readList request
filters.responsiblestring (uuid)[]A unique identifier for the Author, obtainable from the /user/api-readList request
filters.paymentEntitystring (uuid)[]The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request

Відповідь: поле data

ПолеТипОпис
[].uuidstring (uuid)
[].namestringDocument name
[].numberstringThe document’s number. Use this field if you need to specify a custom number
[].datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
[].commentstringAn optional text field for any additional notes or comments related to the document
[].documentSumnumberDocument sum
[].responsiblestring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
[].organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
curl -X POST 'https://app.bimpsoft.com/org2/otherExpenses/api-readList' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":20}}'

api-create

POST /org2/otherExpenses/api-create

A request to create an other expenses document

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
organizationstring (uuid)такA unique identifier for the Organization, obtainable from the /organization/api-readList request
expenseItemstring (uuid)такA unique identifier for the Expense Item, obtainable from the /expenseItems/api-readList request
paymentEntitystring (uuid)такThe unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
paymentDetailsobject[]
paymentDetails[].sumnumberтакThe sum for the expense item
paymentDetails[].projectstring (uuid)такA unique identifier for the Project, obtainable from the /project/api-readList request
paymentDetails[].lineOfBusinessstring (uuid)такA unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
paymentDetails[].expenseItemstring (uuid)такA unique identifier for the Expense Item, obtainable from the /expenseItems/api-readList request
paymentDetails[].invoiceForCustomerPaymentstring (uuid)A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request
paymentDetails[].commentstringAn optional text field for any additional notes or comments related to the document
numberstringThe document’s number. Use this field if you need to specify a custom number
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
counterpartystring (uuid)A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request
commentstringAn optional text field for any additional notes or comments related to the document
atCostPricebooleanFlag set when the user pressed the ‘At cost price’ button (sell price = cost price for all items)
lineItemInTablebooleanFlag set when the user pressed the ‘Item in the table section’ button (item set per product line)

Відповідь: поле data

ПолеТипОпис
uuidstring
curl -X POST 'https://app.bimpsoft.com/org2/otherExpenses/api-create' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"organization":"00000000-0000-0000-0000-000000000000","expenseItem":"00000000-0000-0000-0000-000000000000","paymentEntity":"00000000-0000-0000-0000-000000000000"}'

api-update

POST /org2/otherExpenses/api-update

A request to update or add information to an existing other expenses document

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)так
organizationstring (uuid)такA unique identifier for the Organization, obtainable from the /organization/api-readList request
expenseItemstring (uuid)такA unique identifier for the Expense Item, obtainable from the /expenseItems/api-readList request
paymentEntitystring (uuid)такThe unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
paymentDetailsobject[]
paymentDetails[].sumnumberтакThe sum for the expense item
paymentDetails[].projectstring (uuid)такA unique identifier for the Project, obtainable from the /project/api-readList request
paymentDetails[].lineOfBusinessstring (uuid)такA unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
paymentDetails[].expenseItemstring (uuid)такA unique identifier for the Expense Item, obtainable from the /expenseItems/api-readList request
paymentDetails[].invoiceForCustomerPaymentstring (uuid)A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request
paymentDetails[].commentstringAn optional text field for any additional notes or comments related to the document
numberstringThe document’s number. Use this field if you need to specify a custom number
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
counterpartystring (uuid)A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request
commentstringAn optional text field for any additional notes or comments related to the document
atCostPricebooleanFlag set when the user pressed the ‘At cost price’ button (sell price = cost price for all items)
lineItemInTablebooleanFlag set when the user pressed the ‘Item in the table section’ button (item set per product line)

Відповідь: поле data

ПолеТипОпис
uuidstring
curl -X POST 'https://app.bimpsoft.com/org2/otherExpenses/api-update' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000","organization":"00000000-0000-0000-0000-000000000000","expenseItem":"00000000-0000-0000-0000-000000000000","paymentEntity":"00000000-0000-0000-0000-000000000000"}'

Інтерактивна документація з можливістю надіслати тестовий запит: https://app.bimpsoft.com/docs. Специфікація OpenAPI оновлюється разом із Bimp; ця сторінка згенерована з неї автоматично.